OpenVDB 5.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
OrderSegmentsOp< PointIndexType > Struct Template Reference

`#include <PointPartitioner.h>`

## Public Types
using | IndexArray = boost::scoped_array< PointIndexType >
using | SegmentPtr = typename Array< PointIndexType >::Ptr

## Public Member Functions
| OrderSegmentsOp (SegmentPtr *indexSegments, SegmentPtr *offestSegments, IndexArray *pageOffsetArrays, Index binVolume)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
SegmentPtr *const | mIndexSegments
SegmentPtr *const | mOffsetSegments
IndexArray *const | mPageOffsetArrays
Index const | mBinVolume

## Member Typedef Documentation

## ◆ IndexArray

using IndexArray = boost::scoped_array<PointIndexType>

## ◆ SegmentPtr

using SegmentPtr = typename Array<PointIndexType>::Ptr

## Constructor & Destructor Documentation

## ◆ OrderSegmentsOp()

OrderSegmentsOp | ( | SegmentPtr * | indexSegments,
|  | SegmentPtr * | offestSegments,
|  | IndexArray * | pageOffsetArrays,
|  | Index | binVolume
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mBinVolume

Index const mBinVolume

## ◆ mIndexSegments

SegmentPtr* const mIndexSegments

## ◆ mOffsetSegments

SegmentPtr* const mOffsetSegments

## ◆ mPageOffsetArrays

IndexArray* const mPageOffsetArrays

The documentation for this struct was generated from the following file:

- PointPartitioner.h